#include <Prs3d_WFShape.hxx>
|
| Prs3d_WFShape (const Face &theFace, const Curve &theCurve) |
|
void | Add (const Handle< Prs3d_Presentation > &thePresentation, const TopoDS_Shape &theShape, const Handle< Prs3d_Drawer > &theDrawer) |
| Add shape to presentation. More...
|
|
Handle< TopTools_HSequenceOfShape > | PickCurve (const Quantity_Length theX, const Quantity_Length theY, const Quantity_Length theZ, const Quantity_Length theDistance, const TopoDS_Shape &theShape, const Handle< Prs3d_Drawer > &theDrawer) |
|
Handle< TopTools_HSequenceOfShape > | PickPatch (const Quantity_Length theX, const Quantity_Length theY, const Quantity_Length theZ, const Quantity_Length theDistance, const TopoDS_Shape &theShape, const Handle< Prs3d_Drawer > &theDrawer) |
|
Prs3d_WFShape::Prs3d_WFShape |
( |
const Face & |
theFace, |
|
|
const Curve & |
theCurve |
|
) |
| |
|
inline |
Add shape to presentation.
The documentation for this class was generated from the following file: